unit Demo;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, HSExpBox, TabNotBk, Hsdrvcmb, Hsgrd,
  Hslabel, Hs3dbtn;

type
  TForm1 = class(TForm)
    TabbedNotebook1: TTabbedNotebook;
    HSExplorerBox1: THSExplorerBox;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    HSDriveComboBox1: THSDriveComboBox;
    Header1: THeader;
    HSLabel1: THSLabel;
    HSLabel2: THSLabel;
    HSLabel3: THSLabel;
    HSLabel4: THSLabel;
    HSLabel5: THSLabel;
    HSBevelGrid1: THSBevelGrid;
    HSBevelGrid2: THSBevelGrid;
    HSBevelGrid3: THSBevelGrid;
    Image1: TImage;
    Button1: TButton;
    HS3DButton1: THS3DButton;
    HS3DButton2: THS3DButton;
    HS3DButton3: THS3DButton;
    HS3DButton4: THS3DButton;
    HS3DButton5: THS3DButton;
    HS3DButton6: THS3DButton;
    HS3DButton7: THS3DButton;
    HS3DButton8: THS3DButton;
    HS3DButton9: THS3DButton;
    HS3DButton10: THS3DButton;
    HS3DButton11: THS3DButton;
    procedure RadioGroup1Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
    procedure HSExplorerBox1DirChange(Sender: TObject);
    procedure HSDriveComboBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
       with RadioGroup1 do
          if ItemIndex = 0 then
             HSExplorerBox1.ExplorerStyle := stBox
          else
             HSExplorerBox1.ExplorerStyle := stList;
end;

procedure TForm1.RadioGroup2Click(Sender: TObject);
begin
       with RadioGroup2 do
          if ItemIndex = 0 then
             HSExplorerBox1.IconSize := szSmall
          else
             HSExplorerBox1.IconSize := szBig;
end;

procedure TForm1.HSExplorerBox1DirChange(Sender: TObject);
begin
    HSDriveCombobox1.Directory := HSExplorerBox1.Directory;
end;

procedure TForm1.HSDriveComboBox1Click(Sender: TObject);
begin
   HSExplorerBox1.Directory := HSDriveComboBox1.Directory;
end;

procedure TForm1.Button1Click(Sender: TObject);
 var
  i : integer;
begin
    for i := 0 to HSBevelGrid3.CellCount do
       HSBevelGrid3.CellGraphic(i, Image1.Picture.Icon);
    HSBevelGrid3.Refresh;
end;

end.
